# -*- encoding: utf-8 -*-

from django.contrib import admin

from .models import DiscordChannel, Subscription, TrackedContent


class DiscordChannelAdmin(admin.ModelAdmin):
    list_display = [
        "id", "creation_datetime"
    ]


class SubscriptionAdmin(admin.ModelAdmin):
    list_display = [
        "uuid", "name", "rss_url", "server",
        "creation_datetime"
    ]


class TrackedContentAdmin(admin.ModelAdmin):
    list_display = [
        "uuid", "content_url", "subscription",
        "creation_datetime"
    ]


admin.site.register(DiscordChannel, DiscordChannelAdmin)
admin.site.register(Subscription, SubscriptionAdmin)
admin.site.register(TrackedContent, TrackedContentAdmin)

